Skip to main content
`Ctrl`+`K`

# DMPlexCreateNaturalVector

Provide a `Vec` capable of holding the natural ordering and distribution.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateNaturalVector(DM dm, Vec *nv)

Collective

## Input Parameter

- dm - The distributed `DMPLEX`

## Output Parameter

- nv - The natural `Vec`

## Note

The user must call `DMSetUseNatural`(dm, `PETSC_TRUE`) before `DMPlexDistribute()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `Vec`, `DMPlexDistribute()`, `DMPlexNaturalToGlobalBegin()`, `DMPlexGlobalToNaturalBegin()`

## Level

intermediate

## Location

src/dm/impls/plex/plexnatural.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages